memcache_debug
Memcache::delete
Memcache 함수 목록
PHP Manual

# Memcache::decrement

(PECL memcache >= 0.2.0)

Memcache::decrement — Decrement item's value

### 설명

int Memcache::decrement ( string `$key` [, int `$value` ] )

Memcache::decrement() decrements value of the item by `value` . Similarly to Memcache::increment(), current value of the item is being converted to numerical and after that `value` is substracted.

> Note: New item's value will not be less than zero.

> Note: Do not use Memcache::decrement() with item, which was stored compressed, because consequent call to Memcache::get() will fail.

Memcache::decrement() does not create an item if it didn't exist. Also you can use memcache_decrement() function.

### 인수

`key`

  Key of the item do decrement.

`value`

  Decrement the item by `value` . Optional and defaults to 1.

### 반환값

Returns item's new value on success or `FALSE` on failure.

### 예제

Example #1 Memcache::decrement() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* decrement item by 2 */
$new_value = memcache_decrement($memcache_obj, 'test_item', 2);
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
/* decrement item by 3 */
$new_value = $memcache_obj->decrement('test_item', 3);
?>`

### 참고

- Memcache::increment() - Increment item's value
- Memcache::replace() - Replace value of the existing item

memcache_debug
Memcache::delete
Memcache 함수 목록
PHP Manual